# SourcePath: host-mkcramfs/20060404dev
Summary: Tool for creating a cramfs
Name: sony-target-dev-mkcramfs
%define pkgname %{sony_tool_triplet}-dev-mkcramfs
Version: 1.1
Release: 05000401
URL: http://sourceforge.net/projects/cramfs
Source: cramfs-1.1.tar.gz
Patch:  cramfs-1.1-endian-aware.patch
Patch2: cramfs-1.1-little_endian.patch
Patch3: cramfs-1.1-xip.patch
Patch4: cramfs-1.1-xip_alloc.patch
Patch5: cramfs-1.1-lzo.patch
Patch6: cramfs-1.1-crc-endian-fix.patch
Patch7: cramfs-1.1-lz77.patch 
License	: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: %{sony_tool_triplet}-dev-zlib
BuildRequires: %{sony_tool_triplet}-dev-lzo
BuildRequires: %{sony_tool_triplet}-dev-lz77
Prefix: %{sony_cross_target_dir}

%description
Tool for creating a cramfs

%package -n %{pkgname}
Summary: system call tracer
Group: %{sony_group}
AutoReqProv: no
Requires: %{sony_tool_triplet}-dev-zlib
Requires: %{sony_tool_triplet}-dev-lzo

%description -n %{pkgname}
Tool for creating a cramfs

%prep
%setup -n cramfs-%{version}
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%sony_target_dev_setup 
make CC="$CC"

%install
%sony_target_dev_setup
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sony_cross_target_dir}/devel/usr/bin/
cp mkcramfs %{buildroot}%{sony_cross_target_dir}/devel/usr/bin/
# cp cramfsck %{buildroot}%{sony_cross_target_dir}/devel/usr/bin/

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_cross_target_dir}/devel/usr/bin/mkcramfs
# %{sony_cross_target_dir}/devel/usr/bin/cramfsck

%changelog
* Wed Aug 01 2007 Sony Corporation
- added lz77 option patch

* Tue Jul 31 2007 Sony Corporation
- added cramfs-1.1-crc-endian-fix.patch (CE-Linux-2.2.12 merge)
- added lzo option patch (CE-Linux-2.2.12 merge)

* Tue Apr 04 2006 Sony Corporation
- Create for target-dev

* Fri Oct 28 2005 Sony Corporation
- initial version
